Subject: Re: git-svn authors file and SVN users with ‘=’ in the username

From: Jeff King <[email-masked]>
Date: Mon, 28 Jul 2014 16:07:44 -0400

On Mon, Jul 28, 2014 at 11:33:23AM +0000, David Braden wrote:

> I’m creating a git clone of a svn repository and am trying to set up
> an authors file to map between the svn users and our git usernames.
> The svn repository uses the full subject line of a ssl certificate for
> the user id and so it contains ‘=’ which causes the authors file to be
> parsed incorrectly as it splits on the first equals.
> [...]
> How can I work around this limitation?

I have not tried it, but I suspect --authors-prog might work, as it
passes the name as an argument to the program.

-Peff